<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  google_check.php                                         ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/

	$sql  = " SELECT order_status, transaction_id FROM " . $table_prefix . "orders ";
	$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
	$db->query($sql);
	while ($db->next_record()) {
		$order_status = $db->f("order_status");
		$transaction_id = $db->f("transaction_id");
	}
	if (!$transaction_id){
		$pending_message = "'google order number' was not received, please wait.";
	}else{
		$payment_params = payment_params($order_id);
		if ($order_status == $payment_params['failure_status_id']) {
			$error_message = "Your transaction has been declined.";
		}else if ($order_status == $payment_params['success_status_id']){
		}else{
			$pending_message = "Your transaction is processed.";
		}
	}

	function payment_params($order_id){
    	global $db, $table_prefix;
		$sql  = " SELECT * FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			$payment_id = $db->f("payment_id");
		}
		if (strlen($payment_id)) {
			$sql  = " SELECT success_status_id, pending_status_id, failure_status_id ";
			$sql .= " FROM " . $table_prefix . "payment_systems ";
			$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
			$db->query($sql);
			while ($db->next_record()) {
				$payment_params['success_status_id'] = $db->f("success_status_id");
				$payment_params['pending_status_id'] = $db->f("pending_status_id");
				$payment_params['failure_status_id'] = $db->f("failure_status_id");
			}
		} else {
			return;
		}
		return $payment_params;
	}
?>